## net.dontdrinkandroot.lastfm.api.model
Class Venue

    java.lang.Object
      net.dontdrinkandroot.lastfm.api.model.LfmEntity
          net.dontdrinkandroot.lastfm.api.model.Venue

All Implemented Interfaces:
  java.io.Serializable, Entity, IdEntity, NameEntity

    public class Venue

extends LfmEntity
implements java.io.Serializable, NameEntity, IdEntity

See Also:
  Serialized Form

Constructor Summary
`Venue(org.w3c.dom.Element element)` Create a Venue from an XML element.

Method Summary
`java.lang.Long` `getId()`
`Location` `getLocation()`
`java.lang.String` `getName()`
`void` `setId(java.lang.Long id)`
`void` `setName(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Venue

    public Venue(org.w3c.dom.Element element)

  Create a Venue from an XML element.

  Parameters:
    `element` - The XML element to create the Venue from.

Method Detail

### getLocation

    public final Location getLocation()

### getId

    public final java.lang.Long getId()

  Specified by:
    `getId` in interface `IdEntity`

### setId

    public final void setId(java.lang.Long id)

  Specified by:
    `setId` in interface `IdEntity`

### setName

    public final void setName(java.lang.String name)

  Specified by:
    `setName` in interface `NameEntity`

### getName

    public final java.lang.String getName()

  Specified by:
    `getName` in interface `NameEntity`

Copyright © 2012. All Rights Reserved.